This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: python won't save
Type: Stage: resolved
Components: IDLE Versions: Python 3.9, Python 3.8
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: epaine, leoxie0733, terry.reedy, veky
Priority: normal Keywords:

Created on 2020-08-04 18:18 by leoxie0733, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
Annotation 2020-08-04 144455.png leoxie0733, 2020-08-04 21:49
Annotation 2020-08-04 144527.png leoxie0733, 2020-08-04 21:57
Annotation 2020-08-04 144709.png leoxie0733, 2020-08-04 21:57
Annotation 2020-08-04 144726.png leoxie0733, 2020-08-04 21:58
Annotation 2020-08-04 144803.png leoxie0733, 2020-08-04 21:58
Messages (8)
msg374836 - (view) Author: LX Cubing (leoxie0733) Date: 2020-08-04 18:18
When I try to run python, it asks me if I want to save it or not. So I clicked yes, like I always do, but nothing happened. It didn't run at all. I keep trying, but still it won't save.
msg374843 - (view) Author: Vedran Čačić (veky) * Date: 2020-08-04 20:55
What exactly do you type/click and where?
msg374844 - (view) Author: LX Cubing (leoxie0733) Date: 2020-08-04 21:49
Okay, so in the first picture, you see the * up there in the title right? That means that it needs to be saved.
msg374845 - (view) Author: LX Cubing (leoxie0733) Date: 2020-08-04 21:57
So then, I click on the run button, which shows four more buttons:
Run Module
Run... Customized
Check Module
Python Shell

So I click on the Run Module button, and this thing pops up that says 

Source Must Be Saved
    OK to Save?
Okay          Cancel


So I clicked Okay, and it doesn't run at all.
msg374846 - (view) Author: LX Cubing (leoxie0733) Date: 2020-08-04 21:59
And it still shows the * there.
msg374858 - (view) Author: Vedran Čačić (veky) * Date: 2020-08-05 05:37
Thanks for a very precise report. Have you tried to manually save your file (File > Save As)? Also, how did the file get that name (PPTests0.1.py)?
msg374866 - (view) Author: E. Paine (epaine) * Date: 2020-08-05 09:11
Sorry for this issue, IDLE 3.8.5 has a known (and now resolved) issue with saving if the file was empty when opened (see #41373). If this is not your problem, please do come back and say so, but otherwise this issue should be closed as a duplicate.
msg374891 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-08-05 15:22
For anyone who finds this issue, it also affected 3.9.0b4/5.
History
Date User Action Args
2022-04-11 14:59:34adminsetgithub: 85652
2020-08-05 15:22:59terry.reedysetmessages: + msg374891
versions: + Python 3.9
2020-08-05 14:07:10leoxie0733setstatus: open -> closed
stage: resolved
2020-08-05 09:11:16epainesetnosy: + epaine
messages: + msg374866
2020-08-05 05:43:20xtreaksetassignee: terry.reedy

components: + IDLE
nosy: + terry.reedy
2020-08-05 05:37:12vekysetmessages: + msg374858
2020-08-04 21:59:41leoxie0733setmessages: + msg374846
2020-08-04 21:58:33leoxie0733setfiles: + Annotation 2020-08-04 144803.png
2020-08-04 21:58:05leoxie0733setfiles: + Annotation 2020-08-04 144726.png
2020-08-04 21:57:39leoxie0733setfiles: + Annotation 2020-08-04 144709.png
2020-08-04 21:57:02leoxie0733setfiles: + Annotation 2020-08-04 144527.png

messages: + msg374845
2020-08-04 21:49:51leoxie0733setfiles: + Annotation 2020-08-04 144455.png

messages: + msg374844
2020-08-04 20:55:23vekysetnosy: + veky
messages: + msg374843
2020-08-04 18:18:57leoxie0733create